using System;

namespace Icarus.Logic.Physics
{
	/// <summary>
	/// Summary description for CollisionBoxSlopeBL.
	/// </summary>
	public class CollisionBoxSlopeBL : CollisionBox
	{
		public CollisionBoxSlopeBL()
		{
			this.Description = "CB-Tri-Floor-NegSlope";
            
            this.TriArray[0] = new TriangleBL();
            
            
		}

        /// <summary>
        /// Sets the internal TriangleBL location
        /// </summary>
        public override void setSpecial()
        {
            Icarus.Logic.Physics.Point P1 = 
                new Icarus.Logic.Physics.Point(this.BoundingBox.X, this.BoundingBox.Y, 0.0f);
            Icarus.Logic.Physics.Point P2 = 
                new Icarus.Logic.Physics.Point(this.BoundingBox.X, this.BoundingBox.Y + this.BoundingBox.Height, 0.0f);
            Icarus.Logic.Physics.Point P3 = 
                new Icarus.Logic.Physics.Point(this.BoundingBox.X + this.BoundingBox.Width, this.BoundingBox.Y + this.BoundingBox.Height, 0.0f);

            this.TriArray[0].P1 = P1;
            this.TriArray[0].P2 = P2;
            this.TriArray[0].P3 = P3;
        }

	}
}
